package dev.pfaff.glass.glfw.callbacks;

import dev.pfaff.glass.glfw.GLFWwindow;
import dev.pfaff.glass.glfw.MouseButtonAction;

/**
 * @see <a href="https://www.glfw.org/docs/3.4/group__buttons.html">Mouse buttons</a>
 * @see <a href="https://www.glfw.org/docs/3.4/group__mods.html">Modifier key flags</a>
 */
@FunctionalInterface
public interface MouseButtonCallback {
	void mouseButtonUpdated(GLFWwindow window, int button, MouseButtonAction action, int modifiers);
}
