package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLGetMinmaxParameterPNameEXT implements GLEnum {
	MINMAX_FORMAT(0x802f),
	MINMAX_SINK(0x8030);
	
	private final int glEnum;

	GLGetMinmaxParameterPNameEXT(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLGetMinmaxParameterPNameEXT> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLGetMinmaxParameterPNameEXT fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x802f -> MINMAX_FORMAT;
			case 0x8030 -> MINMAX_SINK;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLGetMinmaxParameterPNameEXT");
		};
	}
}