package dev.pfaff.glass.glfw;

import java.lang.foreign.MemorySegment;
import java.util.Objects;

/**
 * @see <a href="https://www.glfw.org/docs/3.4/group__monitor.html">Monitor reference</a>
 */
public record GLFWmonitor(MemorySegment handle) {
	public GLFWmonitor {
		Objects.requireNonNull(handle, "handle cannot be null");
	}
}
