package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLPixelTexGenParameterNameSGIS implements GLEnum {
	PIXEL_FRAGMENT_RGB_SOURCE_SGIS(0x8354),
	PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS(0x8355);
	
	private final int glEnum;

	GLPixelTexGenParameterNameSGIS(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLPixelTexGenParameterNameSGIS> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLPixelTexGenParameterNameSGIS fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8354 -> PIXEL_FRAGMENT_RGB_SOURCE_SGIS;
			case 0x8355 -> PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLPixelTexGenParameterNameSGIS");
		};
	}
}